NI VeriStand

cancel
Showing results for 
Search instead for 
Did you mean: 

Using VeriStand APIs for the Linux Target RT-Application

Hello guys,

I'm working on a project where we need to build an RT-Application for the Linux Target. Here, we need to use the VeriStand APIs for performing the internal functionalities like SDF file import, workspace tools access. But, since VeriStand is built using .NET objects (or controls) we couldn't able to use them in the RT-target. If we use any of those VI, we are getting broken VI error and error stating 'SubVi is not executable' (attached the error snip below). So, Is there any workaround for this issue or do we need to install any dependencies in the RT target to accept the .NET based controls?

 

Please share your thoughts and suggestions. It would be really helpful

 

Regards,

Madan Mohan

veristand_api.PNG

0 Kudos
Message 1 of 2
(200 Views)

Hi,

Check this link, follow the steps, maybe You've missed something.

And check are Your vis in their right places.

Regards.

0 Kudos
Message 2 of 2
(87 Views)